<?php
$tdataRO___Calls_Summary=array();
	$tdataRO___Calls_Summary[".NumberOfChars"]=80; 
	$tdataRO___Calls_Summary[".ShortName"]="RO___Calls_Summary";
	$tdataRO___Calls_Summary[".OwnerID"]="Region";
	$tdataRO___Calls_Summary[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsRO___Calls_Summary = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRO___Calls_Summary["English"]=array();
	$fieldToolTipsRO___Calls_Summary["English"]=array();
	$fieldLabelsRO___Calls_Summary["English"]["Date"] = "Date";
	$fieldToolTipsRO___Calls_Summary["English"]["Date"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsRO___Calls_Summary["English"]["Executive Name"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["COUNT"] = "COUNT";
	$fieldToolTipsRO___Calls_Summary["English"]["COUNT"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsRO___Calls_Summary["English"]["Customer Status"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Region"] = "Region";
	$fieldToolTipsRO___Calls_Summary["English"]["Region"] = "";
	if (count($fieldToolTipsRO___Calls_Summary["English"])){
		$tdataRO___Calls_Summary[".isUseToolTips"]=true;
	}
}


	
	$tdataRO___Calls_Summary[".NCSearch"]=true;

	

$tdataRO___Calls_Summary[".shortTableName"] = "RO___Calls_Summary";
$tdataRO___Calls_Summary[".nSecOptions"] = 1;
$tdataRO___Calls_Summary[".recsPerRowList"] = 1;	
$tdataRO___Calls_Summary[".tableGroupBy"] = "1";
$tdataRO___Calls_Summary[".mainTableOwnerID"] = "Region";
$tdataRO___Calls_Summary[".moveNext"] = 1;




$tdataRO___Calls_Summary[".showAddInPopup"] = false;

$tdataRO___Calls_Summary[".showEditInPopup"] = false;

$tdataRO___Calls_Summary[".showViewInPopup"] = false;


$tdataRO___Calls_Summary[".fieldsForRegister"] = array();

$tdataRO___Calls_Summary[".listAjax"] = false;

	$tdataRO___Calls_Summary[".audit"] = false;

	$tdataRO___Calls_Summary[".locking"] = false;
	
$tdataRO___Calls_Summary[".listIcons"] = true;
$tdataRO___Calls_Summary[".edit"] = true;
$tdataRO___Calls_Summary[".inlineEdit"] = true;
$tdataRO___Calls_Summary[".view"] = true;

$tdataRO___Calls_Summary[".exportTo"] = true;

$tdataRO___Calls_Summary[".printFriendly"] = true;

$tdataRO___Calls_Summary[".delete"] = true;

$tdataRO___Calls_Summary[".showSimpleSearchOptions"] = false;

$tdataRO___Calls_Summary[".showSearchPanel"] = true;


$tdataRO___Calls_Summary[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataRO___Calls_Summary[".addPageEvents"] = false;


// use datepicker for search panel
$tdataRO___Calls_Summary[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataRO___Calls_Summary[".isUseTimeForSearch"] = false;

$tdataRO___Calls_Summary[".isUseiBox"] = false;



$tdataRO___Calls_Summary[".isUseInlineJs"] = $tdataRO___Calls_Summary[".isUseInlineAdd"] || $tdataRO___Calls_Summary[".isUseInlineEdit"];

$tdataRO___Calls_Summary[".allSearchFields"] = array();

$tdataRO___Calls_Summary[".globSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Region";	
}


$tdataRO___Calls_Summary[".googleLikeFields"][] = "COUNT";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Date";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Executive Name";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Customer Status";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Region";

$tdataRO___Calls_Summary[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}


$tdataRO___Calls_Summary[".advSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Region";	
}

$tdataRO___Calls_Summary[".isTableType"] = "report";

$tdataRO___Calls_Summary[".reportGroupFields"] = true;

	

$tdataRO___Calls_Summary[".isDisplayLoading"] = true;

$tdataRO___Calls_Summary[".isResizeColumns"] = false;


$tdataRO___Calls_Summary[".noRecordsFirstPage"] = true;




$gstrOrderBy = "ORDER BY Date(Date) DESC";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRO___Calls_Summary[".strOrderBy"] = $gstrOrderBy;
	
$tdataRO___Calls_Summary[".orderindexes"] = array();
$tdataRO___Calls_Summary[".orderindexes"][] = array(2, (0 ? "ASC" : "DESC"), "Date(Date)");

$tdataRO___Calls_Summary[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataRO___Calls_Summary[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataRO___Calls_Summary[".sqlWhereExpr"] = "";
$tdataRO___Calls_Summary[".sqlTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRO___Calls_Summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRO___Calls_Summary[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataRO___Calls_Summary[".Keys"] = $tableKeys;

//	COUNT
	$fdata = array();
	$fdata["strName"] = "COUNT";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "COUNT";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["COUNT"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 135;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Date"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Executive Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
		
		
		
		
			$tdataRO___Calls_Summary["Region"]=$fdata;

	
$tables_data["RO - Calls Summary"]=&$tdataRO___Calls_Summary;
$field_labels["RO___Calls_Summary"] = &$fieldLabelsRO___Calls_Summary;
$fieldToolTips["RO - Calls Summary"] = &$fieldToolTipsRO___Calls_Summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["RO - Calls Summary"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["RO - Calls Summary"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto213=array();
$proto213["m_strHead"] = "SELECT";
$proto213["m_strFieldList"] = "COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto213["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto213["m_strWhere"] = "";
$proto213["m_strOrderBy"] = "ORDER BY Date(Date) DESC";
$proto213["m_strTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";
$proto214=array();
$proto214["m_sql"] = "";
$proto214["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto214["m_column"]=$obj;
$proto214["m_contained"] = array();
$proto214["m_strCase"] = "";
$proto214["m_havingmode"] = "0";
$proto214["m_inBrackets"] = "0";
$proto214["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto214);

$proto213["m_where"] = $obj;
$proto216=array();
$proto216["m_sql"] = "";
$proto216["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto216["m_column"]=$obj;
$proto216["m_contained"] = array();
$proto216["m_strCase"] = "";
$proto216["m_havingmode"] = "0";
$proto216["m_inBrackets"] = "0";
$proto216["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto216);

$proto213["m_having"] = $obj;
$proto213["m_fieldlist"] = array();
						$proto218=array();
			$proto219=array();
$proto219["m_functiontype"] = "SQLF_COUNT";
$proto219["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto219["m_arguments"][]=$obj;
$proto219["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto219);

$proto218["m_expr"]=$obj;
$proto218["m_alias"] = "COUNT";
$obj = new SQLFieldListItem($proto218);

$proto213["m_fieldlist"][]=$obj;
						$proto221=array();
			$proto222=array();
$proto222["m_functiontype"] = "SQLF_CUSTOM";
$proto222["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto222["m_arguments"][]=$obj;
$proto222["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto222);

$proto221["m_expr"]=$obj;
$proto221["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto221);

$proto213["m_fieldlist"][]=$obj;
						$proto224=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto224["m_expr"]=$obj;
$proto224["m_alias"] = "";
$obj = new SQLFieldListItem($proto224);

$proto213["m_fieldlist"][]=$obj;
						$proto226=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto226["m_expr"]=$obj;
$proto226["m_alias"] = "";
$obj = new SQLFieldListItem($proto226);

$proto213["m_fieldlist"][]=$obj;
						$proto228=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto228["m_expr"]=$obj;
$proto228["m_alias"] = "";
$obj = new SQLFieldListItem($proto228);

$proto213["m_fieldlist"][]=$obj;
$proto213["m_fromlist"] = array();
												$proto230=array();
$proto230["m_link"] = "SQLL_MAIN";
			$proto231=array();
$proto231["m_strName"] = "calls";
$proto231["m_columns"] = array();
$proto231["m_columns"][] = "idCalls";
$proto231["m_columns"][] = "Date";
$proto231["m_columns"][] = "Call Details";
$proto231["m_columns"][] = "Executive Name";
$proto231["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto231);

$proto230["m_table"] = $obj;
$proto230["m_alias"] = "";
$proto232=array();
$proto232["m_sql"] = "";
$proto232["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto232["m_column"]=$obj;
$proto232["m_contained"] = array();
$proto232["m_strCase"] = "";
$proto232["m_havingmode"] = "0";
$proto232["m_inBrackets"] = "0";
$proto232["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto232);

$proto230["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto230);

$proto213["m_fromlist"][]=$obj;
												$proto234=array();
$proto234["m_link"] = "SQLL_INNERJOIN";
			$proto235=array();
$proto235["m_strName"] = "customer_list";
$proto235["m_columns"] = array();
$proto235["m_columns"][] = "idCL";
$proto235["m_columns"][] = "Created on";
$proto235["m_columns"][] = "Region";
$proto235["m_columns"][] = "Customer Name";
$proto235["m_columns"][] = "Address";
$proto235["m_columns"][] = "City";
$proto235["m_columns"][] = "State";
$proto235["m_columns"][] = "Country";
$proto235["m_columns"][] = "Postal Code";
$proto235["m_columns"][] = "Web address";
$proto235["m_columns"][] = "Area";
$proto235["m_columns"][] = "Customer_Category";
$proto235["m_columns"][] = "Breif About the Company";
$proto235["m_columns"][] = "Existing Setup";
$proto235["m_columns"][] = "Interaction Summary";
$proto235["m_columns"][] = "Commercial Summary";
$proto235["m_columns"][] = "Customer Status";
$proto235["m_columns"][] = "Assigned Executive";
$proto235["m_columns"][] = "Assigned Date";
$proto235["m_columns"][] = "Last Updated on";
$proto235["m_columns"][] = "Aligned Partner";
$obj = new SQLTable($proto235);

$proto234["m_table"] = $obj;
$proto234["m_alias"] = "";
$proto236=array();
$proto236["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto236["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto236["m_column"]=$obj;
$proto236["m_contained"] = array();
$proto236["m_strCase"] = "= customer_list.`Customer Name`";
$proto236["m_havingmode"] = "0";
$proto236["m_inBrackets"] = "0";
$proto236["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto236);

$proto234["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto234);

$proto213["m_fromlist"][]=$obj;
$proto213["m_groupby"] = array();
												$proto238=array();
						$proto239=array();
$proto239["m_functiontype"] = "SQLF_CUSTOM";
$proto239["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto239["m_arguments"][]=$obj;
$proto239["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto239);

$proto238["m_column"]=$obj;
$obj = new SQLGroupByItem($proto238);

$proto213["m_groupby"][]=$obj;
												$proto241=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto241["m_column"]=$obj;
$obj = new SQLGroupByItem($proto241);

$proto213["m_groupby"][]=$obj;
												$proto243=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto243["m_column"]=$obj;
$obj = new SQLGroupByItem($proto243);

$proto213["m_groupby"][]=$obj;
$proto213["m_orderby"] = array();
												$proto245=array();
						$proto246=array();
$proto246["m_functiontype"] = "SQLF_CUSTOM";
$proto246["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto246["m_arguments"][]=$obj;
$proto246["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto246);

$proto245["m_column"]=$obj;
$proto245["m_bAsc"] = 0;
$proto245["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto245);

$proto213["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto213);

$queryData_RO___Calls_Summary = $obj;
$tdataRO___Calls_Summary[".sqlquery"] = $queryData_RO___Calls_Summary;

$tableEvents["RO - Calls Summary"] = new eventsBase;

?>
